spseg_s Struct Reference

## Data Fields

int32 | startfrm
| Frame-id in adbuf (see below) of start of this segment.
int32 | nfrm
| Number of frames in segment (may wrap around adbuf)
struct spseg_s * | next
| Next speech segment (with some intervening silence)

## Detailed Description

Definition at line 135 of file cont_ad.h.

## Field Documentation

## next

struct spseg_s* spseg_s::next

Next speech segment (with some intervening silence)

Definition at line 138 of file cont_ad.h.

## nfrm

int32 spseg_s::nfrm

Number of frames in segment (may wrap around adbuf)

Definition at line 137 of file cont_ad.h.

Referenced by cont_ad_read().

## startfrm

int32 spseg_s::startfrm

Frame-id in adbuf (see below) of start of this segment.

Definition at line 136 of file cont_ad.h.

The documentation for this struct was generated from the following file:

- include/sphinxbase/cont_ad.h